// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) AffiliateLinkSignups() AffiliateLinkSignups { return AffiliateLinkSignups(t) }

type AffiliateLinkSignups struct{ alias string }

func (t AffiliateLinkSignups) TableAlias() string { return t.alias }
func (t AffiliateLinkSignups) name() string       { return "AffiliateLinkSignups" }
func (t AffiliateLinkSignups) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t AffiliateLinkSignups) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.UserID(),
		c.OwnerID(),
		c.CreatedAt(),
	}
}

func (t AffiliateLinkSignups) Columns() AffiliateLinkSignupsCols {
	return AffiliateLinkSignupsCols{tableAlias: t.alias}
}

type AffiliateLinkSignupsCols struct{ tableAlias string }

func (c AffiliateLinkSignupsCols) UserID() string    { return colName(c.tableAlias, "UserID") }    // STRING(36)
func (c AffiliateLinkSignupsCols) OwnerID() string   { return colName(c.tableAlias, "OwnerID") }   // STRING(36)
func (c AffiliateLinkSignupsCols) CreatedAt() string { return colName(c.tableAlias, "CreatedAt") } // TIMESTAMP OPTIONS (allow_commit_timestamp = true)
